Subject: Re: bug#38505: [PATCH] gnu: Add fast-screen.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 18 Mar 2022 00:13:37 -0400

Hello,

Ricardo Wurmus <[email-masked]> writes:

> Hi Mădălin,
>
>> * gnu/packages/bioinformatics.scm (fast-screen): New variable.
>
> I don’t think this package actually produces a usable output.
>
> Frustratingly, this is a Perl script which calls out to tools that
> happen to be on the user’s PATH, such as Bismark (which is written in
> the same style, so it may be enlightening to read its package
> definition), bwa, or bowtie.
>
> Simply copying the script to the store won’t yield a usable tool I’m
> afraid.
>
> For Bismark I talked to the authors in the past in the hopes of
> simplifying configuration at build time, but they were not interested in
> changing the tool to accomodate any other case than the one Bismark was
> designed for: to be unpacked in an already suitable environment.
>
> This means that we can’t count on upstream to change this and patch the
> source file by ourselves.  One way is to patch every invocation of an
> external command; another is to wrap the script itself (with
> “wrap-script”) in PATH and PERL5PATH to provide a suitable environment
> at runtime.  (Wrapping PERL5PATH may be necessary anyway to ensure that
> Perl can find the required modules.)
>
> Good luck!

Some 2 years later, are you still up to the challenge hinted at by
Ricardo? :-)

Thanks,

Maxim